Imports System.IO
Partial Class Default_aspx
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, _
                            ByVal e As System.EventArgs) _
                            Handles Me.Load
        If TreeView2.SelectedNode IsNot Nothing Then
            Response.Write(TreeView2.SelectedNode.Text)
            MsgBox(TreeView2.SelectedNode.Text)
        End If

        If Not IsPostBack Then
            TreeView1.Nodes.Add(New _
               TreeNode(Request.PhysicalApplicationPath))
            getSubDirectories(Request.PhysicalApplicationPath, _
               TreeView1.Nodes(0))
        End If
    End Sub

    Public Sub getSubDirectories(ByVal path As String, _
                                 ByVal node As TreeNode)
        '---get sub directories under the current one
        Dim dirs As String() = Directory.GetDirectories(path)

        '---no subdirectories
        If dirs.Length = 0 Then
            Exit Sub
        Else
            '---for each subdirectory, add to TreeView and 
            ' recursively call itself again
            Dim dir As String
            For Each dir In dirs
                '---Add the relatve path to the TreeView control
                Dim newNode As New TreeNode( _
                   dir.Substring(dir.LastIndexOf("\") + 1))
                newNode.ToolTip = dir
                node.ChildNodes.Add(newNode)
                '---Find its subdirectories
                getSubDirectories(dir, newNode)
                '---Find files under itself
                getFiles(dir, newNode)
                '---close the current node
                newNode.CollapseAll()
            Next
        End If
    End Sub

    Public Sub getFiles(ByVal path As String, ByVal node As TreeNode)
        Dim files As String() = Directory.GetFiles(path)
        Dim file As String

        '---no files in directory and no subdirectory
        If files.Length = 0 And node.ChildNodes.Count = 0 Then
            Dim newNode As New TreeNode("Directory is empty")
            node.ChildNodes.Add(newNode)
            Exit Sub
        End If
        For Each file In files
            '---Add the file to the TreeView control
            Dim newNode As New TreeNode(file.Substring(path.Length + 1))
            newNode.ToolTip = file
            newNode.ImageUrl = "Images\file.gif"
            node.ChildNodes.Add(newNode)
        Next
    End Sub

End Class
