
Partial Class UserInfo_aspx
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, _
                            ByVal e As System.EventArgs) _
                            Handles Me.Load
        Dim user As MembershipUser
        '---get info about current user
        user = Membership.GetUser
        Response.Write("You last login on: " & _
                        user.LastLoginDate & "<br/>")
        Response.Write("Your account was created on: " & _
                        user.CreationDate & "<br/>")
        Response.Write("Your password was last changed on: " & _
                        user.LastPasswordChangedDate & "<br/>")
        If Not IsPostBack Then
            txtUserID.Text = user.UserName.ToString
            txtPasswordQuestion.Text = user.PasswordQuestion
            txtEmail.Text = user.Email
        End If
    End Sub

    Protected Sub btnChangePassword_Click(ByVal sender As Object, _
                                          ByVal e As System.EventArgs) _
                                          Handles btnChangePassword.Click
        Dim user As MembershipUser = Membership.GetUser
        '==change password===
        If txtCurrentPassword.Text <> "" And _
           (txtNewPassword.Text <> txtCurrentPassword.Text) And _
           txtNewPassword.Text <> "" Then
            '---means the user wants to change password
            If user.ChangePassword(txtCurrentPassword.Text, _
                                   txtNewPassword.Text) Then
                displayMessage("Password Changed.")
            Else
                displayMessage("Password Changed Failed.")
            End If
        Else
            displayMessage("Required fields missing")
        End If
    End Sub


    Private Sub displayMessage(ByVal str As String)
        Response.Write("<br/><b>" & str & "</b>")
    End Sub

    Protected Sub btnChangePasswordQuestion_Click( _
                  ByVal sender As Object, _
                  ByVal e As System.EventArgs) _
                  Handles btnChangePasswordQuestion.Click
        Dim user As MembershipUser = Membership.GetUser
        If txtCurrentPassword.Text <> "" And _
           txtPasswordQuestion.Text <> "" And _
           txtPasswordAnswer.Text <> "" Then
            If user.ChangePasswordQuestionAndAnswer( _
               txtCurrentPassword.Text, _
               txtPasswordQuestion.Text, _
               txtPasswordAnswer.Text) Then
                displayMessage("Password Question Changed.")
            Else
                displayMessage("Password Question Failed.")
            End If
        Else
            displayMessage("Required fields missing")
        End If
    End Sub

    Protected Sub btnUpdateEmail_Click(ByVal sender As Object, _
                                       ByVal e As System.EventArgs) _
                                       Handles btnUpdateEmail.Click
        Dim user As MembershipUser = Membership.GetUser
        user.Email = txtEmail.Text
        Membership.UpdateUser(user)
        displayMessage("Email Updated.")
    End Sub
End Class
